--- blogging.rb	2007-03-12 09:43:36.000000000 +0100
+++ -	2007-03-22 23:52:09.000000000 +0100
@@ -189,19 +189,21 @@
 
     lines.each do | line |
       if in_headers
-        if line =~ /^(\w+):[ ]*(.+)/
-          key = $1.downcase
-          case key
-          when 'ping'
-            @post['mt_tbping_urls'] = [] unless @post['mt_tbping_urls']
-            @post['mt_tbping_urls'].push($2)
-          when 'category'
-            @post['categories'] = [] unless @post['categories']
-            @post['categories'].push($2)
-          when 'status'
-            @publish = false if $2 =~ /draft/i
+        if line =~ /^(\w+):[ ]*(.+)?/
+          if $2
+            key = $1.downcase
+            case key
+            when 'ping'
+              @post['mt_tbping_urls'] = [] unless @post['mt_tbping_urls']
+              @post['mt_tbping_urls'].push($2)
+            when 'category'
+              @post['categories'] = [] unless @post['categories']
+              @post['categories'].push($2)
+            when 'status'
+              @publish = false if $2 =~ /draft/i
+            end
+            @headers[key] = $2
           end
-          @headers[key] = $2
           next
         else
           in_headers = false
